// example - demonstrating the core graphql js library.

// step1 - importing functions for building the application
let { graphql, buildSchema } = require("graphql");

// step2 - type definition

// schema wraps up all build definitions
let schema = buildSchema(`
  type Query {
    message: String
  }
`);

// step3 - resolver
let rootValue = {
  message: () => {
    return "Hello world!";
  }
};

// step4 - binding type definition and resolver with the help of graphql

// schema represents the type definition
// rootValue represents the resolver
// source represents the input

// a promise response is returned
graphql({
  schema,
  rootValue,
  source: "{message}"
}).then((response) => {
  console.log(response); // output
});
